%if %{undefined el9}
%bcond_without tests
%else
%bcond_with tests
%endif

Name:           ansible-collection-community-postgresql
Version:        2.3.2
Release:        2%{?dist}
Summary:        PostgreSQL collection for Ansible
License:        GPL-3.0-or-later AND PSF-2.0 AND BSD-2-Clause
#URL:            %{ansible_collection_url community postgresql}
URL:            https://galaxy.ansible.com/ui/repo/published/community/postgresql
Source:         https://github.com/ansible-collections/community.postgresql/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        pathfix.py
Source2:        BSD-2-Clause.txt
BuildRequires:  ansible-packaging
%if %{with tests}
BuildRequires:  ansible-packaging-tests
%endif
# For ansible cli commmands
BuildRequires:  ansible-core >= 2.10
# For pathfix.py
BuildRequires:  python3-devel

BuildArch:      noarch


%description
%{summary}.


%prep
%autosetup -n community.postgresql-%{version} -p1
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +
cp %{SOURCE2} .

%build
%ansible_collection_build


%install
%ansible_collection_install
#Fix ambiguous python shebangs using a pathfix.py modified by me (Lans Hung <lans.hung@oracle.com>)
%{SOURCE1} -i "%{__python3} %{py3_shbang_opts}" -pn $RPM_BUILD_ROOT%{_datadir}/ansible/collections/



%check
%if %{with tests}
%ansible_test_unit
%endif


%files -f %{ansible_collection_filelist}
%license COPYING PSF-license.txt BSD-2-Clause.txt
%doc README.md CHANGELOG.rst


%changelog
* Wed Mar 26 2025 Rafael Barron <rafael.barron@oracle.com> - 2.3.2-2
- Remove python2-devel build dependency

* Wed May 31 2023 Lans Hung<lans.hung@oracle.com> - 2.3.2-1
- Init package
